> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Identity Mapper Set

> Update Identity Mapper Set for a specific Template in the indicated Environment. This API call is designed to support PATCH operations for Mapper Set. <br> <br>
<h2>Notice</h2>Accessing the API calls is through a dedicated domain/URL, according to your PlainID Tenant Location<li><b>United States (US)</b> - `https://api.us1.plainid.io`</li><li><b>Canada (CA)</b> - `https://api.ca1.plainid.io`</li><li><b>Europe (EU)</b> - `https://api.eu1.plainid.io`</li> <br> <h2>Using HTML Encoded Special Characters</h2> <p>Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this <a href="https://www.w3schools.com/tags/ref_urlencode.ASP" target="_blank">HTML URL Encoding Reference</a> for a full list.</p> <br>

## OpenAPI

````json PATCH /api/1.0/identity-templates/{envId}/{identityTemplateId}/mapper-sets/{identityMapperSetId}
{
  "openapi": "3.0.3",
  "info": {
    "title": "Management APIs",
    "version": "1.0.0",
    "contact": {
      "name": "PlainID",
      "url": "https://plainid.com",
      "email": "contact@plainid.com"
    },
    "license": {
      "name": "Commercial",
      "url": "https://plainid.com/license"
    },
    "termsOfService": "https://www.plainid.com/terms/",
    "description": "<h3>The PlainID Authorization Platform provides Management capabilities through the APIs below.</h3><h4> To access the Management APIs, make sure to enter your dedicated domain according to your PlainID Tenant Location:<table><thead><tr><th>Region</th><th>Base URL</th></tr></thead><tbody><tr><td>United States (US)</td><td>https://api.us1.plainid.io</td></tr><tr><td>Canada (CA)</td><td>https://api.ca1.plainid.io</td></tr><tr><td>Europe (EU)</td><td>https://api.eu1.plainid.io</td></tr><tr><td>Local PAA</td><td>https://api.plainid.local</td></tr></tbody></table>"
  },
  "servers": [
    {
      "description": "United States",
      "url": "https://api.us1.plainid.io"
    },
    {
      "description": "Europe",
      "url": "https://api.eu1.plainid.io"
    },
    {
      "description": "Canada",
      "url": "https://api.ca1.plainid.io"
    },
    {
      "description": "Local PAA",
      "url": "https://api.plainid.local"
    }
  ],
  "paths": {
    "/api/1.0/identity-templates/{envId}/{identityTemplateId}/mapper-sets/{identityMapperSetId}": {
      "patch": {
        "summary": "Update Identity Mapper Set",
        "operationId": "patchMapperSet",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "description": "Update Identity Mapper Set for a specific Template in the indicated Environment. This API call is designed to support PATCH operations for Mapper Set. <br> <br>\n<h2>Notice</h2>Accessing the API calls is through a dedicated domain/URL, according to your PlainID Tenant Location<li><b>United States (US)</b> - `https://api.us1.plainid.io`</li><li><b>Canada (CA)</b> - `https://api.ca1.plainid.io`</li><li><b>Europe (EU)</b> - `https://api.eu1.plainid.io`</li> <br> <h2>Using HTML Encoded Special Characters</h2> <p>Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this <a href=\"https://www.w3schools.com/tags/ref_urlencode.ASP\" target=\"_blank\">HTML URL Encoding Reference</a> for a full list.</p> <br>",
        "tags": [
          "Mapper Sets"
        ],
        "parameters": [
          {
            "name": "envId",
            "in": "path",
            "required": "true",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "description": "The Environment ID can be found under the Details Tab in the Environment Settings."
          },
          {
            "name": "identityTemplateId",
            "in": "path",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "description": "The Identity Template ID. This can be found in the Details tab in the Identity Workspace Settings."
          },
          {
            "name": "identityMapperSetId",
            "in": "path",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "description": "The Mapper Set ID. This can be found in the Identity Workspace Settings under the relevant Mapper Set."
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/PatchMapperSetDto"
                }
              },
              "examples": {
                "Switch Mapper Set ID": {
                  "value": [
                    {
                      "op": "replace",
                      "path": "/mapperSetId",
                      "value": "ms_456"
                    }
                  ]
                }
              }
            }
          },
          "required": "true"
        },
        "responses": {
          "204": {
            "description": "Success - No Content"
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-request-id": {
                "schema": {
                  "type": "string"
                },
                "description": "The ID of the request"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "headers": {
              "x-request-id": {
                "schema": {
                  "type": "string"
                },
                "description": "The ID of the request"
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "headers": {
              "x-request-id": {
                "schema": {
                  "type": "string"
                },
                "description": "The ID of the request"
              }
            }
          },
          "404": {
            "description": "Object not found",
            "headers": {
              "x-request-id": {
                "schema": {
                  "type": "string"
                },
                "description": "The ID of the request"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                },
                "examples": {
                  "validationError": {
                    "$ref": "#/components/examples/TemplateMapperSetNotFoundError"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-request-id": {
                "schema": {
                  "type": "string"
                },
                "description": "The ID of the request"
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "PatchMapperSetDto": {
        "type": "object",
        "required": [
          "op",
          "path",
          "value"
        ],
        "properties": {
          "op": {
            "type": "string",
            "enum": [
              "replace"
            ]
          },
          "path": {
            "type": "string",
            "enum": [
              "/mapperSetId"
            ]
          },
          "value": {
            "type": "string"
          }
        },
        "x-stoplight": {
          "id": "363k9o08j76ez"
        },
        "x-internal": "true"
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          },
          "details": {
            "type": "string"
          }
        }
      }
    },
    "examples": {
      "TemplateMapperSetNotFoundError": {
        "value": {
          "errors": [
            {
              "code": "EMTMS-001",
              "id": "EQ7CMX",
              "status": "404",
              "name": "TemplateMapperSetNotFoundError",
              "message": "Template Mapper Set: [TMS] not found, Hint: did you mean [User, Target]"
            }
          ]
        }
      }
    }
  }
}
````

